# $Revision: 1.7 $, $Date: 2008/07/27 22:28:19 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	CGI
%define		pnam	Safe
Summary:	CGI::Safe - safe method of using CGI.pm
Summary(pl.UTF-8):	CGI::Safe - bezpieczny sposób używania CGI.pm
Name:		perl-CGI-Safe
Version:	1.25
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	67e055249e96845adc8858bee0bba785
%{?with_tests:BuildRequires:	perl-CGI >= 2.20}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-CGI >= 2.20
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module makes running the CGI environment safer by eliminating
dangerous %%ENV variables and presetting certain CGI.pm globals (such
as disabling uploads by default and limiting POST data size).

%description -l pl.UTF-8
Ten moduł czyni uruchamianie środowiska CGI bezpieczniejszym poprzez
usuwanie niebezpiecznych zmiennych z %%ENV i ustawianie kilku
zmiennych globalnych CGI.pm (takich jak domyślne wyłączenie
przysyłania danych czy ograniczenie rozmiaru danych POST).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/CGI/Safe.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-CGI-Safe.spec,v $
Revision 1.7  2008/07/27 22:28:19  arekm
- release 2

Revision 1.6  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.4  2006/02/17 14:53:56  glen
- 1.25

Revision 1.3  2004/11/03 22:30:08  paladine
- formatting

Revision 1.2  2004/04/17 18:00:50  ankry
- license/summary/description fixes

Revision 1.1  2004/01/07 10:58:57  qboosh
- new
